Subject: [bug#33883] [PATCH] gnu: Add ocaml-yojson.

From: Julien Lepiller <[email-masked]>
Date: Thu, 27 Dec 2018 09:53:47 +0100

Pushed as 2e951707f505db2d6e3a94a842b4319aa9b07e39, thank you!

I've modified the definition to use the dune-build-system, moved cppo
to native-inputs and modified the names of the inputs in that way:

("cppo" ,ocaml-cppo) -> ("ocaml-cppo" ,ocaml-cppo)

to correspond better to the way we usually declare dependencies. I know
the ocaml.scm file doesn't always respect this convention, but please
try to stick to it anyway :)